// JavaScript Document
// Mobile Icon Animation
////////////////////////////////////////////////////////////////////////// ** //
(function() {
  "use strict";
  var toggles = document.querySelectorAll(".mobile-menu-icon");
  for (var i = toggles.length - 1; i >= 0; i--) {
    var toggle = toggles[i];
    toggleHandler(toggle);
  };
  function toggleHandler(toggle) {
    toggle.addEventListener( "click", function(e) {
      e.preventDefault();
      (this.classList.contains("is-active") === true) ? this.classList.remove("is-active") : this.classList.add("is-active");
    });
  }
})();

// Scroll To
////////////////////////////////////////////////////////////////////////// ** //
$(function() {
  "use strict";
  $('a.page-scroll').bind('click', function(event) {
    var $anchor = $(this);
    $('html, body').stop().animate({
      scrollTop: $($anchor.attr('href')).offset().top
    }, 1500, 'easeInOutExpo');
    event.preventDefault();
  });
});

// Home Page Verticals
////////////////////////////////////////////////////////////////////////// ** //
$(".verticals-home h3").click(function() {
	"use strict";
  if ($(this).parents(".active").length) {
		$(this).siblings(".img-holder").slideToggle();
		$(".vertical-holder.active").removeClass("active");
	}else{
		$(this).siblings(".img-holder").slideToggle();		
		$(".vertical-holder.active").removeClass("active");
		$(this).parent().toggleClass("active");		 
		$(this).parent().siblings().children().next().slideUp();
	}
	return false;
});	


// Parallax - Multi Image
////////////////////////////////////////////////////////////////////////// ** //
$(document).ready(function(){
   // cache the window object
   $window = $(window);
 
   $('div[data-type="background"]').each(function(){
     // declare the variable to affect the defined data-type
     var $scroll = $(this);
                     
      $(window).scroll(function() {
        // HTML5 proves useful for helping with creating JS functions!
        // also, negative value because we're scrolling upwards                             
        var yPos = -($window.scrollTop() / $scroll.data('speed')); 
         
        // background position
        var coords = '50% '+ yPos + 'px';
 
        // move the background
        $scroll.css({ backgroundPosition: coords });    
      }); // end window scroll
   });  // end section function
}); // close out script










// Animated PNG Sequence on Scroll
////////////////////////////////////////////////////////////////////////// ** //
$(document).ready(function () {
	var pictureCount = $('#container img').length;
	var scrollResolution = 15;
	animatePhone();
	function animatePhone() {
		var currentScrollPosition = window.pageYOffset;
		var imageIndex = Math.round(currentScrollPosition / scrollResolution);
		if (imageIndex >= pictureCount) {
			imageIndex = pictureCount - 1; // Select last image
		}
		$("#container img").hide();
		$("#container img").eq(imageIndex).show();
	}
	$(window).bind('scroll', function() {
		animatePhone();
	});
});











$(document).ready(function(){
	"use strict";
	var duration = 250;
	var duration2 = 500;
	
	jQuery(document).on('scroll', function() {
		 var offsetHeight = $('.forrester-home').offset().top,
				 objectHeight = $('.forrester-home').height(),
				 windowWidth = $(window).width(),
				 windowHeight = $(window).height(),
				 chartHeight = $('.chart').height(),
				 docScroll = $(this).scrollTop();
		 if ( docScroll > (offsetHeight + objectHeight - windowHeight)){			
				$('.increment-04,.increment-03,.increment-02,.increment-01').each(function(i) {
					var increment = $(this).data("height");
					
					$('.chart-holder.chart-col-03,.chart-holder.chart-col-02,.chart-holder.chart-col-01').each(function(i) {
						
						if (windowWidth <= 479) { // screen width is less than 480
							var columnheight = $(this).data("height");
						}
						
						if (windowWidth === 320 && windowHeight === 480) { // iPhone4
							var columnheight = $(this).data("height");
						}
						if (windowWidth === 320 && windowHeight === 568) { // iPhone5
							var columnheight = $(this).data("heightxs");
						}
						if (windowWidth === 375 && windowHeight === 627) { // iPhone6
							var columnheight = $(this).data("heightsm");
						}

						else if (windowWidth <= 719) { // screen width is less than 720 but greater than or equal to 480
						
						}
						else if (windowWidth <= 959) { // screen width is less than 960 but greater than or equal to 720
						
						}
						else if (windowWidth >= 960) { // screen width is greater than or equal to 960
							var columnheight = $(this).data("heightl");
						}
						$(this).delay( i*(duration2/2) ).animate({ height: columnheight }, duration2);
					});
					$(this).delay( i*(duration/2) ).animate({ height: increment }, duration);
				});
				
				 $(document).off('scroll');
		 }
	});
}); // close out script